# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2010 Allen Lowe <lallenlowe@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import gtk
from dexter.helpers import get_builder

import gettext
from gettext import gettext as _
gettext.textdomain('dexter')

class HeaderLabel(gtk.Label):
    """a gtk.Label setup to be a header in the contact viewer"""
    __gtype_name__ = 'HeaderLabel'
    
    def __init__(self, text):
        gtk.Label.__init__(self)
        self.set_single_line_mode(False)
        self.set_alignment(1.0, 0.5)
        self.set_sensitive(False)
        self.set_label(text)

class DataLabel(gtk.Label):
    """a gtk.Label setup to display data in the contact viewer"""
    __gtype_name__ = 'DataLabel'

    def __init__(self, text):
        gtk.Label.__init__(self)
        self.set_single_line_mode(False)
        self.set_alignment(0.0, 0.5)
        self.set_sensitive(True)
        self.set_selectable(True)
        self.set_label(text)
